"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isValidPath = require("is-valid-path");
var graphql_1 = require("graphql");
var graphql_tools_1 = require("graphql-tools");
var SchemaFromString = /** @class */ (function () {
    function SchemaFromString() {
    }
    SchemaFromString.prototype.canHandle = function (str) {
        if (isValidPath(str)) {
            return false;
        }
        try {
            graphql_1.parse(str);
            return true;
        }
        catch (e) {
            return false;
        }
    };
    SchemaFromString.prototype.handle = function (str, config, schemaOptions) {
        return graphql_tools_1.makeExecutableSchema({
            typeDefs: [str],
            allowUndefinedInResolve: true,
            resolvers: {},
            resolverValidationOptions: { requireResolversForResolveType: false }
        });
    };
    return SchemaFromString;
}());
exports.SchemaFromString = SchemaFromString;
//# sourceMappingURL=schema-from-string.js.map